ResolutionEntry (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.io.aaf

## Class ResolutionEntry

- java.lang.Object
- - tv.amwa.maj.io.aaf.ResolutionEntry

-     public class ResolutionEntry
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResolutionEntry(PropertyDefinition property, MetadataObject target, AUID reference)`
    `ResolutionEntry(PropertyDefinition property, MetadataObject target, String path)`
    `ResolutionEntry(PropertyDefinition property, MetadataObject target, String path, ByteOrder byteOrder)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PropertyDefinition` | `getProperty()`
    `MetadataObject` | `getTarget()`
    `void` | `resolve(Map<String,MetadataObject> pathMap, Map<String,ByteBuffer> indexMap, Map<String,Stream> streamMap)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResolutionEntry

          public ResolutionEntry(PropertyDefinition property,
                                 MetadataObject target,
                                 String path)

    - #### ResolutionEntry

          public ResolutionEntry(PropertyDefinition property,
                                 MetadataObject target,
                                 String path,
                                 ByteOrder byteOrder)

    - #### ResolutionEntry

          public ResolutionEntry(PropertyDefinition property,
                                 MetadataObject target,
                                 AUID reference)

  - ### Method Detail

    - #### getTarget

          public MetadataObject getTarget()

    - #### getProperty

          public PropertyDefinition getProperty()

    - #### resolve

          public void resolve(Map<String,MetadataObject> pathMap,
                              Map<String,ByteBuffer> indexMap,
                              Map<String,Stream> streamMap)

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.